package javax.xml.bind.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Target;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;

@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.FIELD, ElementType.METHOD, ElementType.PARAMETER })
public @interface XmlElement {
    public abstract String name() default "##default";
    
    public abstract boolean nillable() default false;
    
    public abstract boolean required() default false;
    
    public abstract String namespace() default "##default";
    
    public abstract String defaultValue() default "\u0000";
    
    public abstract Class type() default XmlElement.DEFAULT.class;
    
    public static final class DEFAULT
    {
    }
}
